#include <bits/stdc++.h>

using namespace std;

int main()
{   deque<long long> a;
    long long n, k, x; cin >> n >> k;
    for(int i = 0; i<n; i++)
        cin >> a[i];
    while(a.size()>1){
        if(a.begin() > a.end()){
            a.begin() - a.end();
            a.pop_back();}
        else{
            a.end() - a.begin();
            a.pop_front();
        }


    }
    cout << a.front();
    return 0;
}